import 'package:fis_jsonrpc/rpc.dart';

abstract class IServerConfigManager {
  /// 应用首次启动初始化时服务器配置
  Future<bool> initAllServerConfig(int retryTimes);

  /// 获取所有服务器配置
  Future<ServerSettingResult> getAllServerConfig();

  ///获取主页显示地址
  Future<String?> getCMSUrl();

  ///检查当前网络
  Future<bool> checkNetWork();

  ///获取用户管理地址
  Future<String?> getUserManagerUrl();
}
